Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.fgov.ehealth.technicalconnector.bootstrap.utils
Class BootStrapUtils

    java.lang.Object
      be.fgov.ehealth.technicalconnector.bootstrap.utils.BootStrapUtils

    public final class BootStrapUtils

extends Object

Utility class for the bootstrap module

Field Summary
`static String` | `EXT_SHA2`
`static String` | `EXT_XML`

Method Summary
`static boolean` | `exists(X509Certificate inCert, KeyStore store)`
`static X509Certificate` | `generateX509Cert(String input)`
`static void` | `merge(String inputLocation, char[] inputPwd, String targetLocation, char[] targetPwd)`
`static void` | `writeKeyStore(List<X509Certificate> certList, String location, char[] pwd)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### EXT_SHA2

    public static final String EXT_SHA2

See Also:
  Constant Field Values

### EXT_XML

    public static final String EXT_XML

See Also:
  Constant Field Values

Method Detail

### generateX509Cert

    public static X509Certificate generateX509Cert(String input)
                                            throws TechnicalConnectorException

  Throws:
    `TechnicalConnectorException`

### writeKeyStore

    public static void writeKeyStore(List<X509Certificate> certList,
                                     String location,
                                     char[] pwd)
                              throws TechnicalConnectorException

  Throws:
    `TechnicalConnectorException`

### merge

    public static void merge(String inputLocation,
                             char[] inputPwd,
                             String targetLocation,
                             char[] targetPwd)
                      throws TechnicalConnectorException

  Throws:
    `TechnicalConnectorException`

### exists

    public static boolean exists(X509Certificate inCert,
                                 KeyStore store)
                          throws KeyStoreException

  Throws:
    `KeyStoreException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging OTMOBILITYIMPROVEMENT 3.27.0 API
Copyright © {inceptionYear}-2024 eHealth. All Rights Reserved.